
Base Distribution - Task # 41682

Story # 41679 (New): As developer, I want to use packagist.org for all packages

Status: Accepted Priority: Should have
Author: Sebastian Kurfuerst Category:
Created: 2012-10-08 Assigned To: Marc Neuhaus
Updated: 2012-10-11 Due date:
Subject: create a package for flow.typo3.org website listing only typo3-flow-* composer packages ("mini-TER")
Description

History
#1 - 2012-10-08 10:18 - Marc Neuhaus
- Assigned To set to Marc Neuhaus

On my train ride back home from T3Con12 i've started to implement this, here's my initial result:

https://skitch.com/apocalip/ead18/standalone.flow-typo3.packagecatalog

#2 - 2012-10-08 10:54 - Marc Neuhaus

Here's my current implementation.

There's a commandController to fetch all packages.json and put them under DATA/Packages/%RepositoryDomain%/*.json and filter them to compile
an packages-typo3-flow.json file, which is read by the FrontendController to show the packages

https://github.com/mneuhaus/TYPO3.PackageCatalog

#3 - 2012-10-09 15:16 - Sebastian Kurfuerst
- Status changed from New to Accepted

#4 - 2012-10-11 11:30 - Marc Neuhaus

Set up a little demo site: http://package-catalog.flow.famelo.com/
